Subject: RE: bug#29272: 26.0.90; "C-h k C-mouse-3" followed by menu selection asks for more keys

From: Drew Adams <[email-masked]>
Date: Fri, 1 Dec 2017 11:18:05 -0800 (PST)

> > 10 seconds is too long, I think 1 sec is much better.
> 
> I hope I'm not bikeshedding, but 1 second may be too little.  I'm
> thinking about two use cases: (i) where a user's mouse button is almost
> worn out, and it takes several attempted presses before one registers;
> (ii) A disabled user who has physical difficulty in pressing the mouse
> button, and needs that extra time to do so.  Either of these may be a
> reason for setting double-click-time to t.
> 
> Maybe not as long as 10s.  How about compromising with the geometric
> mean of 1s and 10s, namely 3.162s?

I hate to say it, but we probably need a user option (or at
least a variable) for this.  Users are different.  User hands
are different.  There is a reason that mouses are configurable
wrt speeds and delays.